Subject: bug#19951: tail: unrecognized file system type 0x013111a8 for `xxx.yyy'. Reverting to polling.

From: Bernhard Voelker <[email-masked]>
Date: Fri, 27 Feb 2015 19:02:21 +0100

On 02/26/2015 07:33 AM, Seymour, Shane M wrote:
> 	case S_MAGIC_IBRIX: /* 0x013111A8 remote */
> 		return "ibrix";

Thanks for the report.
As you already found the proper place to insert the code, and as
it's a trivial change not requiring the copyright assignment pro-
cedure, I'll push the attached in your name soon.

For others: Shane provided the additional information I put into
the commit message in an of-list conversation.
I also added a proper NEWS entry.

Thanks & have a nice day,
Berny
>From e60547db04ff30b9341386837a35ffb15c3c7789 Mon Sep 17 00:00:00 2001
From: Shane M Seymour <[email-masked]>
Date: Fri, 27 Feb 2015 18:52:51 +0100
Subject: [PATCH] tail,stat: improve support for the IBRIX file system

Note that IBRIX used to have a different magic number 0x013111A7
instead of the current 0x013111A8.  However, the former is no longer
used and the version of IBRIX it was used in is really ancient, so
it's extremely unlikely anyone is still using it.  Therefore, just
add the newer magic number.
Mark IBRIX as a 'remote' file system type as inotify support had
never been officially tested with it.

* src/stat.c (human_fstype): Add file system ID definition.
* NEWS: Mention the improvement.

Fixes http://bugs.gnu.org/19951
---
 NEWS       | 3 +++
 src/stat.c | 2 ++
 2 files changed, 5 insertions(+)

diff --git a/NEWS b/NEWS
index d2d8046..8aef1a6 100644
--- a/NEWS
+++ b/NEWS
@@ -90,6 +90,9 @@ GNU coreutils NEWS                                    -*- outline -*-
   mv will try a reflink before falling back to a standard copy, which is
   more efficient when moving files across BTRFS subvolume boundaries.
 
+  stat and tail now know about IBRIX.  stat -f --format=%T now reports the file
+  system type, and tail -f uses polling for files on IBRIX file systems.
+
   References from --help and the man pages of utilities have been corrected
   in various cases, and more direct links to the corresponding online
   documentation are provided.
diff --git a/src/stat.c b/src/stat.c
index 625e0f9..4b5aff7 100644
--- a/src/stat.c
+++ b/src/stat.c
@@ -336,6 +336,8 @@ human_fstype (STRUCT_STATVFS const *statfsbuf)
       return "hugetlbfs";
     case S_MAGIC_MTD_INODE_FS: /* 0x11307854 local */
       return "inodefs";
+    case S_MAGIC_IBRIX: /* 0x013111A8 remote */
+      return "ibrix";
     case S_MAGIC_INOTIFYFS: /* 0x2BAD1DEA local */
       return "inotifyfs";
     case S_MAGIC_ISOFS: /* 0x9660 local */
-- 
2.1.4